#version 150
#extension GL_ARB_explicit_attrib_location : enable

//<attributes>
layout(location = 0) in vec3 inPos;
layout(location = 1) in vec2 inUV0;

//</attributes>
//layout(location = 4) in vec3 inNormal;

out vec2 exUV;

//<u>
uniform mat4 mvpMat;
//</u>

void main(void)
{
	gl_Position = mvpMat*vec4(inPos,1.0);
	exUV = inUV0;
}